THREE_TO_ONE = {
    "ALA": "A",
    "CYS": "C",
    "ASP": "D",
    "GLU": "E",
    "PHE": "F",
    "GLY": "G",
    "HIS": "H",
    "ILE": "I",
    "LYS": "K",
    "LEU": "L",
    "MET": "M",
    "ASN": "N",
    "PRO": "P",
    "GLN": "Q",
    "ARG": "R",
    "SER": "S",
    "THR": "T",
    "VAL": "V",
    "TRP": "W",
    "TYR": "Y",
    "SEC": "U",
}

ONE_TO_THREE = {
    "A": "ALA",
    "C": "CYS",
    "D": "ASP",
    "E": "GLU",
    "F": "PHE",
    "G": "GLY",
    "H": "HIS",
    "I": "ILE",
    "K": "LYS",
    "L": "LEU",
    "M": "MET",
    "N": "ASN",
    "P": "PRO",
    "Q": "GLN",
    "R": "ARG",
    "S": "SER",
    "T": "THR",
    "V": "VAL",
    "W": "TRP",
    "Y": "TYR",
}

properties_hydropathy = {
    "A": 1.800,
    "R": -4.500,
    "N": -3.500,
    "D": -3.500,
    "B": -3.5,
    "C": 2.500,
    "Q": -3.500,
    "E": -3.500,
    "Z": -3.5,
    "G": -0.400,
    "H": -3.200,
    "h": -3.200,
    "I": 4.500,
    "L": 3.800,
    "K": -3.900,
    "M": 1.900,
    "F": 2.800,
    "P": -1.600,
    "S": -0.800,
    "T": -0.700,
    "W": -0.900,
    "Y": -1.300,
    "V": 4.200,
    "U": 0,
    "X": -0.0,
}

properties_hydropathy_eisenberg_weiss = {
    "I": 0.73,
    "F": 0.61,
    "V": 0.54,
    "L": 0.53,
    "W": 0.37,
    "M": 0.26,
    "A": 0.25,
    "G": 0.16,
    "C": 0.04,
    "Y": 0.02,
    "P": -0.07,
    "T": -0.18,
    "S": -0.26,
    "H": -0.40,
    "E": -0.62,
    "N": -0.64,
    "Q": -0.69,
    "D": -0.72,
    "K": -1.10,
    "R": -1.80,
    "U": 0,
    "X": -0.0,
}


properties_charge = {
    "A": 0.0,
    "R": +1.0,
    "N": 0.0,
    "D": -1.0,
    "B": -1.0,
    "C": 0.0,
    "Q": 0.0,
    "E": -1.0,
    "Z": -1.0,
    "G": 0.0,
    "H": 0.0,
    "I": 0.0,
    "L": 0.0,
    "K": +1.0,
    "M": 0.0,
    "F": 0.0,
    "P": 0.0,
    "S": 0.0,
    "T": 0.0,
    "W": 0.0,
    "Y": 0.0,
    "V": 0.0,
    "U": 0.0,
    "X": 0.0,
    "h": +1.0,
}
properties_type = {
    "A": "Hphobic",
    "R": "charge",
    "N": "polar",
    "D": "charge",
    "B": "charge",
    "C": "polar",
    "Q": "polar",
    "E": "charge",
    "Z": "charge",
    "G": "polar",
    "H": "polar",
    "I": "Hphobic",
    "L": "Hphobic",
    "K": "charge",
    "M": "Hphobic",
    "F": "Hphobic",
    "P": "polar",
    "S": "polar",
    "T": "polar",
    "W": "Hphobic",
    "Y": "Hphobic",
    "V": "Hphobic",
    "U": "polar",
    "X": "polar",
    "h": "charge",
}
for key, value in properties_hydropathy.items():
    properties_hydropathy[key] = (
        value + 4.5
    ) / 9.0  # The Kyte and dolittle hydropathy is scaled to fit between 0 and 1.

for key, value in properties_hydropathy_eisenberg_weiss.items():
    properties_hydropathy_eisenberg_weiss[key] = (
        value + 1.8
    ) / 2.53  # The Eisenberg and weiss hydropathy is scaled to fit between 0 and 1.